petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecGetValuesSection

Gets all the values associated with a given point, according to the section, in the given Vec

### Synopsis

    #include "petscsection.h"
    #include "petscvec.h"
    PetscErrorCode VecGetValuesSection(Vec v, PetscSection s, PetscInt point, PetscScalar **values)

Not collective

### Input Parameters

| v | - the Vec
| s | - the organizing PetscSection
| point | - the point

### Output Parameter

values -the array of output values

### See Also

PetscSection, PetscSectionCreate(), VecSetValuesSection()

### Level

developer

### Location

src/vec/vec/utils/vsection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages